#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: djinn-ghc
version: 0.0.2.3
id: djinn-ghc-0.0.2.3-1tlBFbTotX09eYhZgjenmq
key: djinn-ghc-0.0.2.3-1tlBFbTotX09eYhZgjenmq
license: BSD3
maintainer: trupill@gmail.com
synopsis: Generate Haskell code from a type. Bridge from Djinn to GHC API.
description:
    Djinn uses an theorem prover for intuitionistic propositional logic
    to generate a Haskell expression when given a type.
    This is the bridge from djinn-lib to GHC API.
category: Language
author: Alejandro Serrano
exposed: True
indefinite: False
exposed-modules:
    Djinn.GHC
abi: 4b2727b39d9a8798b024914e9d4ce728
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/djinn-ghc-0.0.2.3
library-dirs: /usr/lib/ghc-8.2.2/site-local/djinn-ghc-0.0.2.3
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.2/djinn-ghc-0.0.2.3
hs-libraries: HSdjinn-ghc-0.0.2.3-1tlBFbTotX09eYhZgjenmq
depends:
    base-4.10.1.0 mtl-2.2.2-8XubxMJDT8QLsstvlNotkc ghc-8.2.2
    containers-0.5.10.2 transformers-0.5.2.0
    djinn-lib-0.0.1.2-HlTwlVjN6i6FtLSYll9plq
    async-2.1.1.1-8ROwjo1yVqvF3cWHtq6DEd
abi-depends: base-4.10.1.0=35a7f6be752ee4f7385cb5bf28677879
             mtl-2.2.2-8XubxMJDT8QLsstvlNotkc=ada793ec1f149425d0c0689d53e1173b
             ghc-8.2.2=eee9459c18ed62312980f0d446e5fee5
             containers-0.5.10.2=cc49645af4ed58d1819a7e09ee1f7920
             transformers-0.5.2.0=e04579c0363c9229351d1a0b394bf2d5
             djinn-lib-0.0.1.2-HlTwlVjN6i6FtLSYll9plq=fc1617cec44fd4af347c7f3068843db2
             async-2.1.1.1-8ROwjo1yVqvF3cWHtq6DEd=576b92c3ea42677785425376467cda48
haddock-interfaces: /usr/share/doc/haskell-djinn-ghc/html/djinn-ghc.haddock
haddock-html: /usr/share/doc/haskell-djinn-ghc/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

